Index: XIOS3/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 2616)
@@ -12,9 +12,10 @@
 
   SUBROUTINE xios(set_domaingroup_attr)  &
-    ( domaingroup_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-    , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-    , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-    , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    ( domaingroup_id, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+    , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+    , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+    , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+    , nvertex_name, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -22,4 +23,6 @@
       CHARACTER(LEN=*), INTENT(IN) ::domaingroup_id
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area(:,:)
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area_1d(:)
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area_2d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lat_1d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lat_2d(:,:,:)
@@ -28,4 +31,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lon_2d(:,:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_lon_name
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_i
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_j
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_dim
@@ -61,4 +66,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: nvertex_name
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
@@ -69,22 +75,26 @@
       (domaingroup_id,domaingroup_hdl)
       CALL xios(set_domaingroup_attr_hdl_)   &
-      ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-      , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-      , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-      , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+      , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+      , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+      , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+      , nvertex_name, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr)
 
   SUBROUTINE xios(set_domaingroup_attr_hdl)  &
-    ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-    , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-    , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-    , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+    , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+    , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+    , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+    , nvertex_name, prec, radius, standard_name, type )
 
     IMPLICIT NONE
       TYPE(txios(domaingroup)) , INTENT(IN) :: domaingroup_hdl
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area(:,:)
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area_1d(:)
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area_2d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lat_1d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lat_2d(:,:,:)
@@ -93,4 +103,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lon_2d(:,:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_lon_name
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_i
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_j
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_dim
@@ -126,4 +138,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: nvertex_name
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
@@ -132,23 +145,27 @@
 
       CALL xios(set_domaingroup_attr_hdl_)  &
-      ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-      , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-      , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-      , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+      , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+      , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+      , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+      , nvertex_name, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr_hdl)
 
   SUBROUTINE xios(set_domaingroup_attr_hdl_)   &
-    ( domaingroup_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lat_name_, bounds_lon_1d_, bounds_lon_2d_  &
-    , bounds_lon_name_, comment_, data_dim_, data_i_index_, data_ibegin_, data_j_index_, data_jbegin_  &
-    , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
-    , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
-    , type_ )
+    ( domaingroup_hdl, area_, area_1d_, area_2d_, bounds_lat_1d_, bounds_lat_2d_, bounds_lat_name_  &
+    , bounds_lon_1d_, bounds_lon_2d_, bounds_lon_name_, chunking_weight_i_, chunking_weight_j_, comment_  &
+    , data_dim_, data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, dim_i_name_  &
+    , dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_, jbegin_, lat_name_, latvalue_1d_  &
+    , latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_  &
+    , ni_, ni_glo_, nj_, nj_glo_, nvertex_, nvertex_name_, prec_, radius_, standard_name_, type_  &
+     )
 
     IMPLICIT NONE
       TYPE(txios(domaingroup)) , INTENT(IN) :: domaingroup_hdl
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area_(:,:)
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area_1d_(:)
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: area_2d_(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lat_1d_(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lat_2d_(:,:,:)
@@ -157,4 +174,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_lon_2d_(:,:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_lon_name_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_i_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_j_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       INTEGER  , OPTIONAL, INTENT(IN) :: data_dim_
@@ -190,4 +209,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nj_glo_
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: nvertex_name_
       INTEGER  , OPTIONAL, INTENT(IN) :: prec_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius_
@@ -200,4 +220,14 @@
       ENDIF
 
+      IF (PRESENT(area_1d_)) THEN
+        CALL cxios_set_domaingroup_area_1d &
+      (domaingroup_hdl%daddr, area_1d_, SHAPE(area_1d_))
+      ENDIF
+
+      IF (PRESENT(area_2d_)) THEN
+        CALL cxios_set_domaingroup_area_2d &
+      (domaingroup_hdl%daddr, area_2d_, SHAPE(area_2d_))
+      ENDIF
+
       IF (PRESENT(bounds_lat_1d_)) THEN
         CALL cxios_set_domaingroup_bounds_lat_1d &
@@ -228,4 +258,14 @@
         CALL cxios_set_domaingroup_bounds_lon_name &
       (domaingroup_hdl%daddr, bounds_lon_name_, len(bounds_lon_name_))
+      ENDIF
+
+      IF (PRESENT(chunking_weight_i_)) THEN
+        CALL cxios_set_domaingroup_chunking_weight_i &
+      (domaingroup_hdl%daddr, chunking_weight_i_)
+      ENDIF
+
+      IF (PRESENT(chunking_weight_j_)) THEN
+        CALL cxios_set_domaingroup_chunking_weight_j &
+      (domaingroup_hdl%daddr, chunking_weight_j_)
       ENDIF
 
@@ -389,4 +429,9 @@
       ENDIF
 
+      IF (PRESENT(nvertex_name_)) THEN
+        CALL cxios_set_domaingroup_nvertex_name &
+      (domaingroup_hdl%daddr, nvertex_name_, len(nvertex_name_))
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         CALL cxios_set_domaingroup_prec &
@@ -412,9 +457,10 @@
 
   SUBROUTINE xios(get_domaingroup_attr)  &
-    ( domaingroup_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-    , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-    , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-    , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    ( domaingroup_id, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+    , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+    , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+    , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+    , nvertex_name, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -422,4 +468,6 @@
       CHARACTER(LEN=*), INTENT(IN) ::domaingroup_id
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area(:,:)
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area_1d(:)
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area_2d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lat_1d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lat_2d(:,:,:)
@@ -428,4 +476,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lon_2d(:,:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_lon_name
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_i
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_j
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_dim
@@ -461,4 +511,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: nvertex_name
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
@@ -469,22 +520,26 @@
       (domaingroup_id,domaingroup_hdl)
       CALL xios(get_domaingroup_attr_hdl_)   &
-      ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-      , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-      , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-      , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+      , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+      , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+      , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+      , nvertex_name, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr)
 
   SUBROUTINE xios(get_domaingroup_attr_hdl)  &
-    ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-    , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-    , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-    , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+    , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+    , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+    , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+    , nvertex_name, prec, radius, standard_name, type )
 
     IMPLICIT NONE
       TYPE(txios(domaingroup)) , INTENT(IN) :: domaingroup_hdl
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area(:,:)
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area_1d(:)
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area_2d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lat_1d(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lat_2d(:,:,:)
@@ -493,4 +548,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lon_2d(:,:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_lon_name
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_i
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_j
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_dim
@@ -526,4 +583,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: nvertex_name
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
@@ -532,23 +590,27 @@
 
       CALL xios(get_domaingroup_attr_hdl_)  &
-      ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-      , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-      , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-      , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+      , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+      , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+      , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+      , nvertex_name, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr_hdl)
 
   SUBROUTINE xios(get_domaingroup_attr_hdl_)   &
-    ( domaingroup_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lat_name_, bounds_lon_1d_, bounds_lon_2d_  &
-    , bounds_lon_name_, comment_, data_dim_, data_i_index_, data_ibegin_, data_j_index_, data_jbegin_  &
-    , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
-    , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
-    , type_ )
+    ( domaingroup_hdl, area_, area_1d_, area_2d_, bounds_lat_1d_, bounds_lat_2d_, bounds_lat_name_  &
+    , bounds_lon_1d_, bounds_lon_2d_, bounds_lon_name_, chunking_weight_i_, chunking_weight_j_, comment_  &
+    , data_dim_, data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, dim_i_name_  &
+    , dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_, jbegin_, lat_name_, latvalue_1d_  &
+    , latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_  &
+    , ni_, ni_glo_, nj_, nj_glo_, nvertex_, nvertex_name_, prec_, radius_, standard_name_, type_  &
+     )
 
     IMPLICIT NONE
       TYPE(txios(domaingroup)) , INTENT(IN) :: domaingroup_hdl
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area_(:,:)
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area_1d_(:)
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: area_2d_(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lat_1d_(:,:)
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lat_2d_(:,:,:)
@@ -557,4 +619,6 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_lon_2d_(:,:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_lon_name_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_i_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_j_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_dim_
@@ -590,4 +654,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nj_glo_
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: nvertex_name_
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius_
@@ -600,4 +665,14 @@
       ENDIF
 
+      IF (PRESENT(area_1d_)) THEN
+        CALL cxios_get_domaingroup_area_1d &
+      (domaingroup_hdl%daddr, area_1d_, SHAPE(area_1d_))
+      ENDIF
+
+      IF (PRESENT(area_2d_)) THEN
+        CALL cxios_get_domaingroup_area_2d &
+      (domaingroup_hdl%daddr, area_2d_, SHAPE(area_2d_))
+      ENDIF
+
       IF (PRESENT(bounds_lat_1d_)) THEN
         CALL cxios_get_domaingroup_bounds_lat_1d &
@@ -628,4 +703,14 @@
         CALL cxios_get_domaingroup_bounds_lon_name &
       (domaingroup_hdl%daddr, bounds_lon_name_, len(bounds_lon_name_))
+      ENDIF
+
+      IF (PRESENT(chunking_weight_i_)) THEN
+        CALL cxios_get_domaingroup_chunking_weight_i &
+      (domaingroup_hdl%daddr, chunking_weight_i_)
+      ENDIF
+
+      IF (PRESENT(chunking_weight_j_)) THEN
+        CALL cxios_get_domaingroup_chunking_weight_j &
+      (domaingroup_hdl%daddr, chunking_weight_j_)
       ENDIF
 
@@ -789,4 +874,9 @@
       ENDIF
 
+      IF (PRESENT(nvertex_name_)) THEN
+        CALL cxios_get_domaingroup_nvertex_name &
+      (domaingroup_hdl%daddr, nvertex_name_, len(nvertex_name_))
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         CALL cxios_get_domaingroup_prec &
@@ -812,9 +902,10 @@
 
   SUBROUTINE xios(is_defined_domaingroup_attr)  &
-    ( domaingroup_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-    , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-    , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-    , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    ( domaingroup_id, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+    , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+    , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+    , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+    , nvertex_name, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -823,4 +914,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: area
       LOGICAL(KIND=C_BOOL) :: area_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: area_1d
+      LOGICAL(KIND=C_BOOL) :: area_1d_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: area_2d
+      LOGICAL(KIND=C_BOOL) :: area_2d_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lat_1d
       LOGICAL(KIND=C_BOOL) :: bounds_lat_1d_tmp
@@ -835,4 +930,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lon_name
       LOGICAL(KIND=C_BOOL) :: bounds_lon_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_i
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_i_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_j
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_j_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
@@ -897,4 +996,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex_name
+      LOGICAL(KIND=C_BOOL) :: nvertex_name_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
@@ -909,18 +1010,20 @@
       (domaingroup_id,domaingroup_hdl)
       CALL xios(is_defined_domaingroup_attr_hdl_)   &
-      ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-      , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-      , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-      , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+      , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+      , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+      , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+      , nvertex_name, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr)
 
   SUBROUTINE xios(is_defined_domaingroup_attr_hdl)  &
-    ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-    , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-    , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-    , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+    ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+    , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+    , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+    , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+    , nvertex_name, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -928,4 +1031,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: area
       LOGICAL(KIND=C_BOOL) :: area_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: area_1d
+      LOGICAL(KIND=C_BOOL) :: area_1d_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: area_2d
+      LOGICAL(KIND=C_BOOL) :: area_2d_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lat_1d
       LOGICAL(KIND=C_BOOL) :: bounds_lat_1d_tmp
@@ -940,4 +1047,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lon_name
       LOGICAL(KIND=C_BOOL) :: bounds_lon_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_i
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_i_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_j
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_j_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
@@ -1002,4 +1113,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex
       LOGICAL(KIND=C_BOOL) :: nvertex_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex_name
+      LOGICAL(KIND=C_BOOL) :: nvertex_name_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
@@ -1012,19 +1125,21 @@
 
       CALL xios(is_defined_domaingroup_attr_hdl_)  &
-      ( domaingroup_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d, bounds_lon_2d  &
-      , bounds_lon_name, comment, data_dim, data_i_index, data_ibegin, data_j_index, data_jbegin, data_ni  &
-      , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
-      , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
+      ( domaingroup_hdl, area, area_1d, area_2d, bounds_lat_1d, bounds_lat_2d, bounds_lat_name, bounds_lon_1d  &
+      , bounds_lon_2d, bounds_lon_name, chunking_weight_i, chunking_weight_j, comment, data_dim, data_i_index  &
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, dim_i_name, dim_j_name, domain_ref  &
+      , group_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d, latvalue_2d, lon_name  &
+      , long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex  &
+      , nvertex_name, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl)
 
   SUBROUTINE xios(is_defined_domaingroup_attr_hdl_)   &
-    ( domaingroup_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lat_name_, bounds_lon_1d_, bounds_lon_2d_  &
-    , bounds_lon_name_, comment_, data_dim_, data_i_index_, data_ibegin_, data_j_index_, data_jbegin_  &
-    , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
-    , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
-    , type_ )
+    ( domaingroup_hdl, area_, area_1d_, area_2d_, bounds_lat_1d_, bounds_lat_2d_, bounds_lat_name_  &
+    , bounds_lon_1d_, bounds_lon_2d_, bounds_lon_name_, chunking_weight_i_, chunking_weight_j_, comment_  &
+    , data_dim_, data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, dim_i_name_  &
+    , dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_, jbegin_, lat_name_, latvalue_1d_  &
+    , latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_  &
+    , ni_, ni_glo_, nj_, nj_glo_, nvertex_, nvertex_name_, prec_, radius_, standard_name_, type_  &
+     )
 
     IMPLICIT NONE
@@ -1032,4 +1147,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: area_
       LOGICAL(KIND=C_BOOL) :: area__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: area_1d_
+      LOGICAL(KIND=C_BOOL) :: area_1d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: area_2d_
+      LOGICAL(KIND=C_BOOL) :: area_2d__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lat_1d_
       LOGICAL(KIND=C_BOOL) :: bounds_lat_1d__tmp
@@ -1044,4 +1163,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_lon_name_
       LOGICAL(KIND=C_BOOL) :: bounds_lon_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_i_
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_i__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_j_
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_j__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
       LOGICAL(KIND=C_BOOL) :: comment__tmp
@@ -1106,4 +1229,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex_
       LOGICAL(KIND=C_BOOL) :: nvertex__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: nvertex_name_
+      LOGICAL(KIND=C_BOOL) :: nvertex_name__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
       LOGICAL(KIND=C_BOOL) :: prec__tmp
@@ -1121,4 +1246,16 @@
       ENDIF
 
+      IF (PRESENT(area_1d_)) THEN
+        area_1d__tmp = cxios_is_defined_domaingroup_area_1d &
+      (domaingroup_hdl%daddr)
+        area_1d_ = area_1d__tmp
+      ENDIF
+
+      IF (PRESENT(area_2d_)) THEN
+        area_2d__tmp = cxios_is_defined_domaingroup_area_2d &
+      (domaingroup_hdl%daddr)
+        area_2d_ = area_2d__tmp
+      ENDIF
+
       IF (PRESENT(bounds_lat_1d_)) THEN
         bounds_lat_1d__tmp = cxios_is_defined_domaingroup_bounds_lat_1d &
